0 Replies Latest reply on Aug 31, 2009 5:29 AM by Alan Nisbet

    Stax API java5 rt.jar conflict

    Alan Nisbet Newbie

      Hi All,

      I'm using;

      Jboss 4.2.3.GA
      Java 1.5.0_06

      Jboss ships with stax-api.jar that contains an XMLConstants class. This class conflicts with a class of the same name in the jvm rt.jar.

      For some reason Eclipse IDE is picking up the stax-api.jar first, flagging a compile error. This class does not contain the constant I have referenced in my code.

      How do I get around this. I thought I could simply remove the jar from my classpath. However I then receive further errors.

      This would suggest to me that stax-api.jar shipped with JBoss and Java 5 or 6 are incompatible!

      I would have expected to see many more posts regarding this issue!

      How do I get round this?